# Retrieve by UMPRN

```
GET 
/umprn/:umprn
```

Returns a multiple occupancy address identified via its UMPRN (Multiple Residence Unique ID).

UMPRNs are a unique numeric code for any Multiple Residence household on the optional Multiple Residence dataset.

## Testing[​](#testing "Direct link to Testing")

To test your implementation of our API we have a range of test UMPRNs that yield both successful and unsuccessful responses to your request. They are the following

* `0` Returns a successful UMPRN lookup response `2000`
* `-1` Returns "UMPRN not found", error `4044`
* `-2` Returns "no lookups remaining", error `4020`
* `-3` Returns "daily (or individual) lookup limit breached", error `4021`

Test request undergo the usual authentication and restriction rules. This is to help surface any issues that occur during implementation and does not cost you a lookup.

### Pricing[​](#pricing "Direct link to Pricing")

Per lookup charges apply. Empty responses are not charged.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 404

Success

**Response Headers**



Resource not found
